Current time: 01-22-2022, 09:22 PM Hello There, Guest! (LoginRegister)


Poll: Should ispCP ditch php4 support from default packages?
Yes, php5+ is the way to go. Good sys admins are GOD for a reason Smile
No leave php4 and php5 support and slow down ispCP development Smile
[Show Results]
 
Post Reply 
GOPHP 5
Author Message
BioALIEN Offline
Public Relations Officer
*****
Dev Team

Posts: 620
Joined: Feb 2007
Reputation: 5
Post: #1
GOPHP 5
Hi All,

As of next month, all major projects will be switching to PHP5 and ditching php4 support. This is a big effort to let php4 die peacefully and encourage all ISPs to support php5+ in order to ensure the survival of PHP as they focus and build on php6.

If PHP dies, it will be a big blow to the internet. You can read more about the initiative here: http://www.gophp5.org

As a result, I wanted to kindly open this topic to the developers of ispCP. IMHO, we should drop support for PHP4 completely and focus on only supporting php5 as standard. It would make ispCP a lot easier to manage one php version, and also this could be a good excuse to drop previous support such as the "upgrade/update script" and start fresh. It's important to mention we still don't have an update path and this is becoming harder by the day as we improve ispCP further.

What do you think? I am only referring to the *default* package shipped by ispCP! Obviously, a good sys admin will still be able to customise ispCP and enable php4 if they wish - so it's not life or death here Wink
01-06-2008 05:08 AM
Find all posts by this user Quote this message in a reply
rbtux Offline
Moderator
*****
Moderators

Posts: 1,847
Joined: Feb 2007
Reputation: 33
Post: #2
RE: GOPHP 5
with fast-cgi the effort in providing different version is not that high (when you don't want to change via webpanel). I would let it be the way it is, because when php6 comes it's nice to have the availability to switch between 5/6...
01-06-2008 06:33 AM
Visit this user's website Find all posts by this user Quote this message in a reply
RatS Offline
Project Leader
******

Posts: 1,854
Joined: Oct 2006
Reputation: 17
Post: #3
RE: GOPHP 5
No need to burst out PHP4-Support. Big Providers still provided PHP3 until August 2007.

In my mind you have not understand the Idea of goPHP5. GoPHP5 wants to transmit the developement of PHP-Projects to PHP5. If you have time to waste, feel free and port ispCP to PHP5.

P.S:
Quote:No leave php4 and php5 support and slow down ispCP development

is crap. Version switching is implemented and will not slow down development - no more changes needed.
(This post was last modified: 01-06-2008 11:40 AM by RatS.)
01-06-2008 11:39 AM
Visit this user's website Find all posts by this user Quote this message in a reply
raphael Offline
Member
***

Posts: 474
Joined: Apr 2007
Reputation: 8
Post: #4
RE: GOPHP 5
Quote:port ispCP to PHP5
it already works on php5 so there isn't really *anything* to port.

Quote:could be a good excuse to drop previous support such as the "upgrade/update script" and start fresh
and dropping php4 support doesn't mean we don't need an upgrade script (although I still consider the rc2x-rc3 migration code useless).
01-07-2008 03:58 AM
Visit this user's website Find all posts by this user Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)